// test_uUnit.cpp (C) 2011 adolfo@di-mare.com

/** \file   test_uUnit.cpp
    \brief  Test program for \c uUnit.h.
    \author Adolfo Di Mare <adolfo@di-mare.com>

    \date   2012
    \see    http://www.di-mare.com/adolfo/p/BUnitXP.htm
*/

#include "uUnit.h" // assertTrue()+assertFalse()

/// Small example class for \c uUnit.h
class myImp {
    int rep;             ///< A field
    myImp() : rep(0) {}  ///< Constructor
   // ...
public:
    /// A function
    friend int test_myImp( const int argc , const char* argv[] );
};

/// \c test->myImp()
int test_myImp( const int argc , const char* argv[] ) {
{{  // test.myImp
    myImp it;                         int n=0;
    assertTrue(     it.rep == 0  );     ++n;
    assertFalse( ! (it.rep != 0) );     ++n;
    return (n==2);
}}
{{ }} // ==> http://www.di-mare.com/adolfo/p/BUnit.htm
}

/// Test program.
int main( const int argc , const char* argv[] ) {
    std::cout << "TestCase [uUnit.h] yesYES" << std::endl;
    assertTrue(  1==2 ); // ok?
    assertFalse( 1==2 ); // ok!
    return test_myImp(argc , argv);
}

#if 0
TestCase [uUnit.h] yesYES
=\_fail: 1==2
=/ (37) test_uUnit.cpp
=\_fail: !(! (it.rep != 0))
=/ (28) test_uUnit.cpp
#endif

// EOF: test_uUnit.cpp
