// uuUnit.h (C) 2012 adolfo@di-mare.com

/** \file   uuUnit.h
    \brief  [u](micro) Micro module for [Unit] program testing.

    \author Adolfo Di Mare <adolfo@di-mare.com>
    \date   2012
    \see    http://www.di-mare.com/adolfo/p/BUnitXP.htm

    \code
    
    #include "uuUnit.h" // assertTrue() && assertFalse()
    
    // Example
    int main( const int argc , const char* argv[] ) {
        std::cout << "TestCase [uuUnit.h] yesYES" << std::endl;
        assertTrue(  1==2 ); // ok?
        assertFalse( 1==2 ); // ok!
        return test_myImp(argc , argv);
    }
    
    \endcode
*/

#ifndef ADOLFO_UUUNIT
#define ADOLFO_UUUNIT

#include <iostream> // cout

/// Macro usada para hacer prueba unitaria del programa.
#define assertTrue(cond) do if (!(cond))  \
{ std::cout << "false[" << __LINE__ << "] " #cond << std::endl; } while(false)

/// Macro usada para hacer prueba unitaria del programa.
#define assertFalse(cond) do if ((cond)) \
{ std::cout << "true[" << __LINE__ << "] " #cond << std::endl; } while(false)

#endif

// EOF: uuUnit.h
